package lab;

import javafx.geometry.Dimension2D;
import javafx.geometry.Point2D;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;

public class Obstacle {

	private Level level;
	private Point2D position;
	private Dimension2D size;

	public Obstacle(Level level) {
		this(level, new Point2D(200, 100), new Dimension2D(30, 20));
	}

	public Obstacle(Level level, Point2D position, Dimension2D size) {
		this.level = level;
		this.position = position;
		this.size = size;
	}

	public void draw(GraphicsContext gc) {
		gc.save();
		gc.setFill(Color.BLUEVIOLET);
		gc.setStroke(Color.RED);
		gc.setLineWidth(3);
		gc.fillRect(position.getX(), position.getY(), size.getWidth(), size.getHeight());
		gc.strokeRect(position.getX(), position.getY(), size.getWidth(), size.getHeight());
		gc.restore();
	}

	public void simulate(double delay) {

	}

}
